{% extends 'index.html' %}
{% load crispy_forms_filters %}
{% block content1 %}

<div class="register">
    <div class="p-3 mb-2 bg-danger text-white" id="error-message">
        {% if error_message %}
        <div class="entire-wrapper">
            <div class="message-error-wrapper"> {{error_message}}</div>
        </div>
        <div id="close" class="close-h" onclick="close_function()">X</div>
        {% endif %}
    </div>
    <div class="wrapper-register">
        <div class="register-form">
            <div class="header-wrapper">
                <h3>Register <i class="fa fa-registered"></i></h3>
            </div>
            <div class="form-wrapper">
                <form action="" enctype="multipart/form-data" method="post">
                    {% csrf_token %}
                    {{ form | crispy }}
                    <div class="bottom-form">
                        <button class="btn btn-primary" type="submit">Register</button>
                        <a href="{% url 'login' %}">
                            <button class="btn btn-secondary" type="button" id="back">Back</button>
                        </a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    function close_function() {
        document.getElementById("error-message").style.display = "none";
        document.getElementById("error-message").style.transition = "all 1s";
    };

    let div_username = document.getElementById("div_id_username");
    let div_pass1 = document.getElementById("div_id_password1");
    let div_pass2 = document.getElementById("div_id_password2");
    let div_quotes = document.getElementById("div_id_quotes");
    let div_profile_img = document.getElementById("div_id_profile_img");
    let arr = [div_username,div_pass1, div_pass2, div_quotes, div_profile_img]
    for(let i=0; i<arr.length; i++){
        arr[i].style.width = "90%";
        arr[i].style.marginBottom = "15px";
    }
    let back = document.getElementById("back");
    back.style.width = "100%";





</script>
{% endblock %}
